Index: branch/najib_idzim/tp_info6/Emb_App.tws
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App.tws	(revision 463)
+++ branch/najib_idzim/tp_info6/Emb_App.tws	(revision 464)
@@ -7,13 +7,11 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\conf_noyau.cfg" 0 0 1596 539 0 1 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" -8 -30 1596 653 1 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" -8 -30 1596 653 1 1 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" 0 0 1376 411 0 0 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.ini	(revision 463)
+++ branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.ini	(revision 464)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff002a
+RESET=ff0028
Index: branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.hsf	(revision 463)
+++ branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.hsf	(revision 464)
@@ -141,20 +141,20 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0026" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000700" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0594" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000CE6" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000820" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -169,12 +169,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000009" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000D1C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -205,13 +205,15 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "capt, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "capt, 2, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Global," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "even, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "mode, 2, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "code_touche, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "piste, 2, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "3" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "feu, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Global," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "4" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -313,9 +315,8 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -362,5 +363,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 100402584 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 89604952 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/najib_idzim/tp_info6/Emb_App/programme_principal_etud.c
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/programme_principal_etud.c	(revision 463)
+++ branch/najib_idzim/tp_info6/Emb_App/programme_principal_etud.c	(revision 464)
@@ -130,11 +130,13 @@
 char typeCapteur();
 int lireEvent();
 short lireClavier();
+unsigned short modeCourse();
+char numPiste();
+char feuVert();
 
-
 unsigned short capt = 0;
-int even = 0;
-short code_touche = 0;
+unsigned short mode = 0;
+char piste = 0;
 
 void main()
 {
@@ -141,7 +143,7 @@
 	ports_mcu();
     lcd_init();
 	periph_init();
-	periph_nom("#Autopilot");
+	periph_nom("#Ferrari");
           
     can_init();
     clavier_init(1);
@@ -152,36 +154,42 @@
 	
 	
 	
-    
+    mode = modeCourse();
 	sta_tsk(ID_asserv_tour);
 	dly_tsk(1000);
 	
 	sta_tsk(ID_asserv_direction);
 	dly_tsk(1000);
-	
+	while ( feuVert() != 1 );
 	vitesseVoiture(40); //a remettre 40
 	
     while(1)
     {
 		
-		even = lireEvent();
-		capt = lireCapt();
-		
-		if ( (capt == 0x5603)  )
+		piste = numPiste();
+		if (piste == 0x03)
 		{
-			vitesseVoiture(46);
-			dly_tsk(2000);
-			sus_tsk(ID_asserv_direction);  // desactiver juste avant le saut
-			dly_tsk(1000);
-			vitesseVoiture(20);
-			rsm_tsk(ID_asserv_direction);
-			//dly_tsk(500);
+			capt = lireCapt();
+			if ( (capt == 0x5603)  )
+			{
+				vitesseVoiture(45);
+				dly_tsk(1800);
+				sus_tsk(ID_asserv_direction);  // desactiver juste avant le saut
+				dly_tsk(1200);
+				vitesseVoiture(5);
+				dly_tsk(300);
+				vitesseVoiture(15);
+				dly_tsk(700);
+				rsm_tsk(ID_asserv_direction);
+				capt = 0;
+				dly_tsk(3000);
 		
+			}
+			if ( capt == 0x5604)
+			{
+				vitesseVoiture(40);
+			}
 		}
-		if ( capt == 0x5604)
-		{
-			vitesseVoiture(40);
-		}
 		
     }
 }
@@ -307,43 +315,35 @@
 	return  periph[ADDR('C')].val;
 }
 
-char typeCapteur()
+unsigned short modeCourse()
 {
-	int lsb, msb;
-	int capteur = lireCapt();
-	char val;
+	CanFrame requete;
+	UINT flag;
 	
-	lsb = capteur & 0x00FF;
-	msb = capteur & 0xFF00; 
+	requete.data.id = 'M';
+	requete.data.rtr = 1;          // Requete de lecture 
+	periph[ADDR('M')].ev =0x08;
+	snd_dtq(CanTx, requete.msg);
 	
-	if (msb == 0x5600)
-	{
-		if (lsb == 0x03)
-		{
-			return 1;
-		}
-	}
-	return 0;
+	wai_flg(ev_periph, 0x08, TWF_ANDW, &flag);
+	dly_tsk(10);
+	
+	return  periph[ADDR('M')].val;
+	
 }
 
-// les evenements
+char numPiste()
+{
+	return modeCourse() & 0x0F;	
+}
 
-int lireEvent()
+char feuVert()
 {
-	
-	FLGPTN flag;
-	int even;
-	
-	wai_flg(event,(FLGPTN) 0x0007,TWF_ORW,&flag);
-	even = flag;
-	clr_flg(event,~flag);
-	
-	return  even;
-	
+	if ( modeCourse() & 0x8000 == 0x8000)
+		return 1;
+	else 
+		return 0;
 }
-//capt	0101 0110 0000 0001	
-
-
 // les asservissement
 
 void asserv_tour()
Index: branch/najib_idzim/tp_info6/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/EmbM32C87App.hwp	(revision 463)
+++ branch/najib_idzim/tp_info6/Emb_App/EmbM32C87App.hwp	(revision 464)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2018_najib\tp_info6\Emb_App" "E:\tp_info6_2018_najib\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Release" 
+"Debug" "E:\tp_info6_2018_najib\tp_info6\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_najib\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_najib\tp_info6\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_najib\tp_info6\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "User" "C source file" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2018_najib\tp_info6\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_najib\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_najib\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_najib\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/najib_idzim/tp_info6/Emb_App.hws
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App.hws	(revision 463)
+++ branch/najib_idzim/tp_info6/Emb_App.hws	(revision 464)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\tp_info6_2018_najib_idzim\tp_info6" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2018_najib\tp_info6" "E:\tp_info6_2018_najib\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2018_najib\tp_info6\Emb_App" "E:\tp_info6_2018_najib\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
